<script setup lang="ts">
import { ref } from "@vue/reactivity";
import Tree from "vue3-tree";
import "vue3-tree/dist/style.css";

const data = ref([
  {
    id: 1,
    label: "Selamat Datang",
  },
  {
    id: 2,
    label: "Transliterator",
    nodes: [
      {
        id: 21,
        label: "Transliterator Instan",
      },
      {
        id: 22,
        label: "Upload dan Export TXT",
      },
    ],
  },
  {
    id: 3,
    label: "Katalog Kitab",
  },
  {
    id: 4,
    label: "OCR",
  },
]);

interface TreeNode {
  id: number;
  label: string;
  expanded: boolean;
}

const active = ref("Selamat Datang");

// Tree click handler
const onNodeClick = (node: TreeNode) => {
  if (node.label === "Transliterator") {
    return
  }
  active.value = node.label;
};

const searchText = ref("");
</script>

<template>
  <div class="animate__animated animate__fadeIn flex flex-row font-register left-panel items-stretch min-h-screen md:[min-height:94vh]">
    <div class="py-4 pr-5 basis-1/5 flex-1">
      <div class="justify-center items-center flex pl-5">
        <p class="label-regis-login font-medium">Panduan Penggunaan</p>
      </div>
      <div class="searchbox-docs flex flex-row">
        <img alt="search logo" class="mx-3" src="@/assets/search.svg" width="16" height="16" />
        <input class="
              border-l border-neutral-400
              px-3
              searchinput
              active:border-0
              align-middle
              grow
              text-black
            " placeholder="Cari" type="text" v-model="searchText" />
      </div>
      <div class="content-center">
        <h2 id="btn-login-regis-separator"></h2>
      </div>
      <Tree class="docs-tree pl-5" :search-text="searchText" :nodes="data" @nodeClick="onNodeClick" />
    </div>
    <div class="docs-right-side px-5 py-5 basis-4/5 flex-1">
      <div v-if="active === 'Selamat Datang'">
        <p class="docs-nav-main">Selamat Datang</p>
        <p class="docs-judul">Selamat Datang!</p>
        <hr class="docs-separator my-4" />
        <div class="docs-content">
          Halaman ini adalah awal mula Anda untuk mencari tahu lebih lanjut seputar penggunaan Pegonizer
          serta memanfaatkan fitur-fitur dalam Pegonizer secara maksimal.
          <br>
          <br>
          Kami membagi Pegonzier menjadi
          tiga fitur utama, yaitu Transliterator, Katalog Kitab, dan <em>Optical Character Recognition</em> (OCR).
          Berikut adalah penjelasan singkat mengenai setiap fitur Pegonizer:
          <br>
          <br>
          <ol>
            <li>
              1. <strong>Transliterator</strong>: Membuat transliterasi dari Arab Pegon ke Latin atau sebaliknya.
            </li>
            <br>
            <li>
              2. <strong>Katalog Kitab</strong>: <em>Database</em> kumpulan kitab beraksara Arab Pegon dalam bahasa Jawa, Sunda, dan Madura.
            </li>
            <br>
            <li>
              3. <strong>OCR</strong>: Mengekstrak teks dari dokumen gambar yang mengandung aksara Arab Pegon.
            </li>
          </ol>
          <br>
          <br>
          Silakan cari tahu lebih lanjut pada
          kategori yang disediakan di sebelah kiri!
        </div>
      </div>
      <div v-else-if="active === 'Transliterator'">
        <p class="docs-nav-main">Transliterator</p>
        <p class="docs-judul">Transliterator</p>
        <hr class="docs-separator my-4" />
        <div class="docs-content">
          <ul>
            <li>
              
            </li>
            <li>

            </li>
          </ul>
        </div>
      </div>
      <div v-else-if="active === 'Transliterator Instan'">
        <p class="docs-nav-secondary">
          <span class="docs-nav-main">Transliterator</span> > Transliterator
          Instan
        </p>
        <p class="docs-judul">Transliterator Instan</p>
        <hr class="docs-separator my-4" />
        <div class="docs-content">
          Berikut tampilan awal laman transliterator instan:
          <br><br>
          <img src="@/assets/landingpage-transliterator.png" alt="Landing Page Transliterator">
          <br>
          Anda dapat memasukkan teks beraksara Latin pada kotak teks di bagian kiri. Hasil transliterasi
          dapat dilihat pada kotak teks di sebelah kanan. Untuk melakukan transliterasi dengan arah sebaliknya,
          anda dapat mengeklik tombol panah dua arah di antara dua kotak teks berisi pilihan aksara.
          <br><br>
          Cara penulisan aksara Latin pada Pegonizer sedikit berbeda dengan kaidah penulisan bahasa Indonesia
          dan kaidah penulisan bahasa arab dengan aksara Latin pada beberapa huruf. Diantaranya:
          <br><br>
<table class="c58">
  <tbody>
    <tr class="c9">
      <td class="c49 c50" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c43 c36">Huruf</span>
        </p>
      </td>
      <td class="c4" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c43 c36">Latin</span>
        </p>
      </td>
      <td class="c5 c49" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c60 c36 c71">Latin </span>
          <span class="c36 c60">Tulis</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c14" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c12">ا</span>
        </p>
      </td>
      <td class="c22 c25" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">a</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">a</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c14" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c12">ى /ي</span>
        </p>
      </td>
      <td class="c22 c25" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">i</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">i</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c14" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c12">و</span>
        </p>
      </td>
      <td class="c22 c25" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">u</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">u</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c14" colspan="1" rowspan="1">
        <p class="c2" dir="rtl">
          <span class="c12">َي &nbsp;</span>
        </p>
      </td>
      <td class="c22 c25" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">e</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">e</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c14" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c12">َو</span>
        </p>
      </td>
      <td class="c22 c25" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">o</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">o</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c14" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c12">ࣤ</span>
        </p>
      </td>
      <td class="c22 c25" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ê</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">^e</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ة</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">t/h</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">t-</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ب</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">b</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">b</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ت</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">t</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">t</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ث</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ṡ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">t_s</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ج</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">j</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">j</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ح</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ḥ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">h_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">چ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">c</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">c</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">خ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">kh</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">k_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">د</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">d</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">d</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c48">
          <span class="c0">‎ڊ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">dh</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">d_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ڎ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">dh</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">D_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ذ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ẑ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">d_z</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ر</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">r</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">r</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ز</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">z</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">z</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">س</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">s</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">s</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ش</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">sy</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">s_y</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ص</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ṣ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">s_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ض</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ḍ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">d_H</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ط</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ṭ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">t_t</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ظ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ẓ</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">z_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c61">ڟ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span>th</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span>t_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ع</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">'</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">'</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">غ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">g</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">g_h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ڠ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ng</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">n_g</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ف</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">f</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">f</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ق</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">q</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">q</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ڤ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">p</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">p</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ك</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">k</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">k</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ࢴ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">g</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">g</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ڮ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">g</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">G</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ل</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">l</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">l</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">م</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">m</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">m</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ن</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">n</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">n</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ه</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">h</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">h</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">و</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">w</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">w</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ء</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">`</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">`</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ى</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">y</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">y</span>
        </p>
      </td>
    </tr>
    <tr class="c9">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ي</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">y</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">y</span>
        </p>
      </td>
    </tr>
    <tr class="c13">
      <td class="c11" colspan="1" rowspan="1">
        <p class="c8" dir="rtl">
          <span class="c0">ۑ</span>
        </p>
      </td>
      <td class="c22" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">ny</span>
        </p>
      </td>
      <td class="c5" colspan="1" rowspan="1">
        <p class="c2">
          <span class="c0">n_y</span>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<br>
        Anda harus menggunakan kaidah penulisan sesuai dengan kolom "Latin Tulis" pada tabel di atas
        untuk menulis aksara Latin pada Transliterator Instan.
        </div>
      </div>
      <div v-else-if="active === 'Upload dan Export TXT'">
        <p class="docs-nav-secondary">
          <span class="docs-nav-main">Transliterator</span> > Upload dan Export TXT
        </p>
        <p class="docs-judul">Upload dan Export TXT</p>
        <hr class="docs-separator my-4" />
        <div class="docs-content">
          Tahapan menggunakan fitur Upload TXT pada Transliterator Instan:
          <br>
          <br>
          <ol>
            <li>
              1. Siapkan <em>file</em> TXT mengandung aksara Latin atau Arab Pegon yang ingin ditransliterasikan.
            </li>
            <br>
            <li>
              2. Masukkan <em>file</em> tersebut dengan mengeklik tombol "Upload TXT".
            </li>
            <br>
            <li>
              3. Hasil transliterasi akan ditampilkan dalam kotak teks pada bagian kanan laman.
            </li>
            <br>
            <li>
              4. Hasil transliterasi tersebut dapat diekspor dalam bentuk TXT dengan menekan tombol "Export TXT" di bagian bawah laman.
            </li>
          </ol>
        </div>
      </div>
      <div v-else-if="active === 'Katalog Kitab'">
        <p class="docs-nav-main">Katalog Kitab</p>
        <p class="docs-judul">Katalog Kitab</p>
        <hr class="docs-separator my-4" />
        <div class="docs-content">
          Anda dapat menjelajahi <em>database</em> kumpulan kitab Arab Pegon dalam Pegonizer
          dengan mengunjungi laman Katalog Kitab. Anda dapat melihat informasi mengenai suatu kitab
          dengan mengeklik kitab yang ingin dilihat. Informasi yang ditampilkan terdiri dari:
          <br><br>
          <ol>
            <li>
              1. Judul
            </li>
            
            <li>
              2. Penulis
            </li>
            
            <li>
              3. Jenis Kitab
            </li>
            <li>
              4. Bahasa
            </li>
            <li>
              5. Tanggal Penulisan
            </li>
            <li>
              6. Tempat Penulisan
            </li>
            <li>
              7. Media
            </li>
            <li>
              8. Tinta
            </li>
            
            <li>
              9. Iluminasi
            </li>
            
            <li>
              10. Deskripsi Kitab
            </li>
          </ol>
          <br>
          Anda juga dapat mencari kitab yang anda ingin cari dengan menggunakan kotak pencarian di bagian atas
          laman. Secara bawaan, pencarian dilakukan dengan atribut judul kitab. Namun, anda juga dapat mencari
          kitab dengan atribut lain. Hal ini dapat dilakukan dengan menggunakan <em>template query</em> sebagai berikut:
          <br><br>
          <span style="font-size:larger">&lt;Atribut1&gt;: &lt;Keyword1&gt;, &lt;Atribut2&gt;: &lt;Keyword2&gt;, ...</span>
          <br><br>
          Contoh: <br> <span><strong>Judul: Tatang Sutarma, Penulis: Entis Sutisna, Penulis: Entis Sutisna, Bahasa: Sunda, Media: Kertas Kedelai</strong></span>
          <br><br>
          Untuk mengakses dan mengunduh konten kitab, anda harus mendaftar terlebih dahulu sebagai anggota. Jika anda sudah menjadi anggota, anda dapat
          mengakses dan mengunduh konten kitab dengan mengeklik tombol "Baca Korpus".
        </div>
      </div>
      <div v-else-if="active === 'OCR'">
        <p class="docs-nav-main">OCR</p>
        <p class="docs-judul">OCR</p>
        <hr class="docs-separator my-4" />
        <div class="docs-content">
          Tahapan menggunakan fitur OCR:
          <br>
          <br>
          <ol>
            <li>
              1. Siapkan <em>file</em> gambar atau PDF mengandung aksara Arab Pegon yang ingin diekstrak.
            </li>
            <li>
              2. Masukkan <em>file</em> tersebut ke dalam pilihan yang disediakan sesuai dengan format <em>file</em>.
            </li>
            <li>
              3. Tunggu beberapa saat sampai OCR selesai mengekstrak teks.
            </li>
            <li>
              4. Hasil OCR akan ditampilkan dalam kotak tampilan pada bagian kanan laman.
            </li>
            <li>
              5. Hasil OCR tersebut dapat diekspor dalam bentuk TXT dengan menekan tombol "Export TXT" di bagian bawah laman.
            </li>
          </ol>
        </div>
      </div>
    </div>
  </div>
</template>

<style>
  @import '../docsview.css';
</style>